> For the complete documentation index, see [llms.txt](https://docs.decisionrules.io/doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decisionrules.io/doc/api/api-keys/enterprise-oauth-m2m/client-app-authorization.md).

# Client App Authorization

To authorize your requests to the DecisionRules API using OAuth 2.0, you can include your generated access token directly in the `Authorization` header of your HTTP request.

***

#### Header Format

The `Authorization` header must be formatted as follows, using the prefix `oauth:` followed immediately by your access token:

`Authorization: oauth:<access_token>`

* `<access_token>`: Replace this placeholder with the actual OAuth 2.0 access token you received during the authorization process.

***

#### Example

If your access token is `eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eW91ckFjY2Vzc1Rva2Vu`, the complete header would look like this:

| **Header**      | **Value**                                                         |
| --------------- | ----------------------------------------------------------------- |
| `Authorization` | `oauth:eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eW91ckFjY2Vzc1Rva2Vu` |

This format is typically used when making calls to secure endpoints, ensuring that the request is properly authenticated.

```ara
curl --request POST \
  --url http://api.decisionrules.io/rule/solve/my-rule-alias/1 \
  --header 'Authorization: oauth:eyJ0eXAiOiJKV1QiLCJhbGc.....' \
  --header 'Content-Type: application/json' \
  --header 'X-Strategy: STANDARD' \
  --data '{
  "data": {
    "productType": "medium",
    "period": "year",
    "promoCode": "SUMMER SALE"
  }
}'
```

Would you like to see an example of an API call using this authorization method?


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.decisionrules.io/doc/api/api-keys/enterprise-oauth-m2m/client-app-authorization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
